Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4898)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4899)
@@ -26,6 +26,8 @@
 ! -----------------
 ! $Id$
+! small adjustments regarding r4897
+!
+! 4897 2021-03-04 09:08:58Z forkel
 ! Few informative messages removed, small changes in comments and chemistry header
-!
 !
 ! 4895 2021-03-03 15:39:08Z suehring
@@ -799,6 +801,7 @@
 !
 !--       Surface conditions:
-          IF ( ibc_cs_b == 0 )  THEN    ! Dirichlet
-!
+          IF ( ibc_cs_b == 0 )  THEN
+!
+!--          Dirichlet:
 !--          Run loop over all non-natural and natural walls. Note, in wall-datatype the k
 !--          coordinate belongs to the atmospheric grid point, therefore, set s_p at k-1
@@ -806,7 +809,7 @@
                 !$OMP PARALLEL DO PRIVATE( i, j, k )
                 DO  m = 1, bc_h(l)%ns
-                    i = bc_h(l)%i(m)
-                    j = bc_h(l)%j(m)
-                    k = bc_h(l)%k(m)
+                   i = bc_h(l)%i(m)
+                   j = bc_h(l)%j(m)
+                   k = bc_h(l)%k(m)
                    chem_species(lsp)%conc_p(k+bc_h(l)%koff,j,i) =                                  &
                                                           chem_species(lsp)%conc(k+bc_h(l)%koff,j,i)
@@ -814,6 +817,7 @@
              ENDDO
 
-          ELSEIF ( ibc_cs_b == 1 )  THEN     ! Neumann
-!
+          ELSEIF ( ibc_cs_b == 1 )  THEN
+!
+!--          Neumann:
              DO  l = 0, 1
                 !$OMP PARALLEL DO PRIVATE( i, j, k )
@@ -825,7 +829,8 @@
                 ENDDO
              ENDDO
+
           ENDIF
 
-       ENDDO    ! end lsp loop
+       ENDDO
 
 !
@@ -1242,6 +1247,6 @@
     IF ( call_chem_at_all_substeps )  THEN
        message_string =                                                                            &
-       'Warning: call_chem_at_all_substeps shoukld only be used for test purposes! '
-       CALL message( 'chem_check_parameters', 'PA0522', 0, 0, 0, 6, 0 )
+       'call_chem_at_all_substeps should only be used for test purposes'
+       CALL message( 'chem_check_parameters', 'PA0522', 0, 1, 0, 6, 0 )
     ENDIF
 !
@@ -1855,5 +1860,6 @@
 !
 !-- Emission mode info
-    WRITE ( io, 4 ) emiss_read_legacy_mode
+    WRITE( io, 4 )  emiss_read_legacy_mode
+!
 !-- At the moment the evaluation is done with both emiss_lod and mode_emis but once salsa has been
 !-- migrated to emiss_lod the .OR. mode_emis conditions can be removed (ecc 20190513)
@@ -2119,5 +2125,5 @@
 !-- applied near these boundaries.
 !-- To get rid-off this, set-up additional flags that control the order of the scalar advection
-!-- scheme near the lateral boundaries for passive scalars with  non-cyclic bcs
+!-- scheme near the lateral boundaries for passive scalars with non-cyclic bcs
     IF ( scalar_advec == 'ws-scheme' )  THEN
        ALLOCATE( cs_advc_flags_s(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
@@ -2599,15 +2605,15 @@
 
 !
-!-- Conflict resolution for emiss_lod and mode_emis
-!-- 1) if emiss_lod is defined, have mode_emis assume same setting as emiss_lod
-!-- 2) if emiss_lod it not defined, have emiss_lod assuem same setting as mode_emis
-!-- this check is in place to retain backward compatibility with salsa until the code is migrated
-!-- completed to emiss_lod
-!-- note that
+!--    Conflict resolution for emiss_lod and mode_emis.
+!--    1) if emiss_lod is defined, have mode_emis assume same setting as emiss_lod
+!--    2) if emiss_lod it not defined, have emiss_lod assuem same setting as mode_emis
+!--    This check is in place to retain backward compatibility with salsa until the code is
+!--    migrated completely to emiss_lod.
        IF  ( emiss_lod >= 0 ) THEN
 
           SELECT CASE  ( emiss_lod )
 !
-!-- Synchronize mode_emis to defined emiss_lod (mode_emis will be depreciated in future releases)
+!--          Synchronize mode_emis to defined emiss_lod (mode_emis will be depreciated in
+!--          future releases)
              CASE (0)  !- parameterized mode
                 mode_emis = 'PARAMETERIZED'
@@ -2849,21 +2855,14 @@
 !-- It would have been nice to have time measurements for chemistry and deposition here. 
 !-- Unfortunately measurements within i,j loops degrade performance ince they are calles so often 
-!-- and the counter for this measurement gets extremely huge values. Therefore, no measurements here.
+!-- and the counter for this measurement gets extremely huge values. Therefore, no measurements
+!-- here.
     IF ( intermediate_timestep_count == 1  .OR.  call_chem_at_all_substeps )  THEN
 
        IF ( chem_gasphase_on )  THEN
-          !$OMP MASTER
-          !$OMP END MASTER
           CALL chem_integrate( i, j )
-          !$OMP MASTER
-          !$OMP END MASTER
        ENDIF
 
        IF ( deposition_dry )  THEN
-          !$OMP MASTER
-          !$OMP END MASTER
           CALL chem_depo( i, j )
-          !$OMP MASTER
-          !$OMP END MASTER
        ENDIF
 
Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 4898)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 4899)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! bugfix for r4898 (missing preprocessor directive added)
+!
+! 4898 2021-03-04 15:49:52Z raasch
 ! MPI-IO for sky view factors implemented
 !
@@ -9915,5 +9918,7 @@
     INTEGER(iwp) ::  i            !<
     INTEGER(iwp) ::  ic           !<
+#if defined( __parallel )
     INTEGER(iwp) ::  ierr         !<
+#endif
     INTEGER(iwp) ::  ind          !<
     INTEGER(iwp) ::  ipcgb        !<