Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4900)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4901)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! removed unnecessary informative messages,
+! removed unused code in chem_depo subroutine
+!
+! 4899 2021-03-04 16:42:21Z raasch
 ! small adjustments regarding r4897
 !
@@ -1863,5 +1867,5 @@
 !
 !-- At the moment the evaluation is done with both emiss_lod and mode_emis but once salsa has been
-!-- migrated to emiss_lod the .OR. mode_emis conditions can be removed (ecc 20190513)
+!-- migrated to emiss_lod the .OR. mode_emis conditions can be removed
     IF     ( ( emiss_lod == 1 )  .OR.  ( mode_emis == 'DEFAULT' ) )        THEN
         WRITE ( io, 5 )
@@ -2535,5 +2539,5 @@
          side_street_id,                                                                           &
          photolysis_scheme,                                                                        &
-         wall_csflux,                                                                              &
+         wall_csflux,                                                                              &         
          surface_csflux,                                                                           &
          surface_csflux_name,                                                                      &
@@ -2652,12 +2656,5 @@
 !--       force emission_read_legacy_mode to TRUE (not yet implemented)
 
-       IF ( emiss_read_legacy_mode )  THEN       !< notify legacy read mode
-
-          message_string = 'Legacy emission read mode activated&'           //                     &
-                           'All emissions data will be loaded '             //                     &
-                           'prior to start of simulation'
-          CALL message( 'chem_parin', 'PA0735', 0, 0, 0, 6, 0 )
-
-       ELSE                                     !< if new read mode selected
+       IF ( .NOT. emiss_read_legacy_mode )  THEN    !< if new read mode selected
 
           IF ( emiss_lod < 2 )  THEN            !< check LOD compatibility
@@ -5130,25 +5127,5 @@
 !--    Total canopy conductance (gc_tot) and resistance Rc (rc_tot):
        CALL rc_rctot( gstom, gsoil_eff, gw, gc_tot, rc_tot )
-!
-!--    Needed to include compensation point for NH3
-!--    Compensation points (always returns ccomp_tot; currently ccomp_tot != 0 only for NH3):
-!--    CALL rc_comp_point( compnam,lu,day_of_year,t,gw,gstom,gsoil_eff,gc_tot,&
-!--          lai_present, sai_present, &
-!--          ccomp_tot, &
-!--          conc_ijk_ugm3=conc_ijk_ugm3,c_ave_prev_nh3=c_ave_prev_nh3, &
-!--          c_ave_prev_so2=c_ave_prev_so2,gamma_soil_water=gamma_soil_water, &
-!--          tsea=tsea,cw=cw,cstom=cstom,csoil=csoil )
-!
-!--    Effective Rc based on compensation points:
-!--        IF ( PRESENT( rc_eff ) )  THEN
-!--          check on required arguments:
-!--           IF ( ( .NOT. PRESENT( conc_ijk_ugm3 ) )  .OR.  ( .NOT. PRESENT( ra ) )  .OR.         &
-!--                ( .NOT. PRESENT( rb ) ) )  THEN
-!--              STOP 'output argument rc_eff requires input arguments conc_ijk_ugm3, ra and rb'
-!--           ENDIF
-!
-!--           Compute rc_eff :
-!--           CALL rc_comp_point_rc_eff(ccomp_tot,conc_ijk_ugm3,ra,rb,rc_tot,rc_eff)
-!--        ENDIF
+
     ENDIF
 
@@ -5929,104 +5906,4 @@
 
 !--------------------------------------------------------------------------------------------------!
-!> rc_comp_point_rc_eff: calculate the effective resistance Rc
-!> based on one or more compensation points
-!--------------------------------------------------------------------------------------------------!
-!> NH3rc (see depac v3.6 is based on Avero workshop Marc Sutton. p. 173. Sutton 1998 AE 473-480)
-!>
-!> Documentation by Ferd Sauter, 2008; see also documentation block in header of depac subroutine.
-!> FS 2009-01-29: variable names made consistent with DEPAC
-!> FS 2009-03-04: use total compensation point
-!>
-!> C: with total compensation point   ! D: approximation of C
-!>                                    !    with classical approach
-!>  zr --------- Catm                 !  zr --------- Catm
-!>         |                          !         |
-!>         Ra                         !         Ra
-!>         |                          !         |
-!>         Rb                         !         Rb
-!>         |                          !         |
-!>  z0 --------- Cc                   !  z0 --------- Cc
-!>         |                          !         |
-!>        Rc                          !        Rc_eff
-!>         |                          !         |
-!>     --------- Ccomp_tot            !     --------- C=0
-!>
-!>
-!> The effective Rc is defined such that instead of using
-!>
-!>   F = -vd*[Catm - Ccomp_tot]                                    (1)
-!>
-!> we can use the 'normal' flux formula
-!>
-!>   F = -vd'*Catm,                                                (2)
-!>
-!> with vd' = 1/(Ra + Rb + Rc')                                    (3)
-!>
-!> and Rc' the effective Rc (rc_eff).
-!>                                                (Catm - Ccomp_tot)
-!> vd'*Catm = vd*(Catm - Ccomp_tot) <=> vd' = vd* ------------------
-!>                                                      Catm
-!>
-!>                                        (Catm - Ccomp_tot)
-!> 1/(Ra + Rb + Rc') = (1/Ra + Rb + Rc) * ------------------
-!>                                              Catm
-!>
-!>                                          Catm
-!> (Ra + Rb + Rc') = (Ra + Rb + Rc) * ------------------
-!>                                     (Catm - Ccomp_tot)
-!>
-!>                              Catm
-!> Rc' = (Ra + Rb + Rc) * ------------------ - Ra - Rb
-!>                        (Catm - Ccomp_tot)
-!>
-!>                        Catm                           Catm
-!> Rc' = (Ra + Rb) [------------------ - 1 ] + Rc * ------------------
-!>                  (Catm - Ccomp_tot)              (Catm - Ccomp_tot)
-!>
-!> Rc' = [(Ra + Rb)*Ccomp_tot + Rc*Catm ] / (Catm - Ccomp_tot)
-!>
-! -------------------------------------------------------------------------------------------
-! SUBROUTINE rc_comp_point_rc_eff( ccomp_tot, conc_ijk_ugm3, ra, rb, rc_tot, rc_eff )
-!
-!
-!!-- Input/output variables:
-!    REAL(wp), INTENT(IN) ::  ccomp_tot     !< total compensation point (weighed average of separate compensation points) (ug/m3)
-!    REAL(wp), INTENT(IN) ::  conc_ijk_ugm3 !< atmospheric concentration (ug/m3) above Catm
-!    REAL(wp), INTENT(IN) ::  ra            !< aerodynamic resistance (s/m)
-!    REAL(wp), INTENT(IN) ::  rb            !< boundary layer resistance (s/m)
-!    REAL(wp), INTENT(IN) ::  rc_tot        !< total canopy resistance (s/m)
-!
-!    REAL(wp), INTENT(OUT) ::  rc_eff       !< effective total canopy resistance (s/m)
-!
-!    !
-!!-- Compute effective resistance:
-!    IF ( ccomp_tot == 0.0_wp )  THEN
-!       !
-!!--    Trace with no compensiation point ( or compensation point equal to zero)
-!       rc_eff = rc_tot
-!
-!    ELSE IF ( ccomp_tot > 0.0_wp  .AND.  ( abs( conc_ijk_ugm3 - ccomp_tot ) < 1.e-8 ) )  THEN
-!       !
-!!--   Surface concentration (almost) equal to atmospheric concentration
-!!--    no exchange between surface and atmosphere, infinite RC --> vd=0
-!       rc_eff = 9999999999.0_wp
-!
-!    ELSE IF ( ccomp_tot > 0.0_wp )  THEN
-!       !
-!!--    Compensation point available, calculate effective resistance
-!       rc_eff = ( ( ra + rb ) * ccomp_tot + rc_tot * conc_ijk_ugm3 ) / ( conc_ijk_ugm3 - ccomp_tot )
-!
-!    ELSE
-!       rc_eff = -999.0_wp
-!       message_string = 'This should not be possible, check ccomp_tot'
-!       CALL message( 'rc_comp_point_rc_eff', 'PA....', 1, 2, 0, 6, 0 )
-!    ENDIF
-!
-!    RETURN
-!
-! END SUBROUTINE rc_comp_point_rc_eff
-
-
-!--------------------------------------------------------------------------------------------------!
 !> missing: check for data that correspond with a missing deposition path this data is represented
 !>          by -999